$fn = 60;

module base()
{
    difference()
    {
        square([138, 101.5]);
        translate([0, 101.5/2]) circle(48.5/2);
        translate([138, 101.5/2]) circle(48.5/2);
        translate([138/2, 7.75 - 27.5/2]) circle(27.5/2);
        translate([138/2, 101.5 - 7.75 + 27.5/2]) circle(27.5/2);
    }
}

minkowski()
{
    difference()
    {
        linear_extrude(13.3)
        minkowski(convexity = 2)
        {
            offset(-4) base();
            circle(4);
        }

        translate([8, 9.75, 1])
        linear_extrude(30)
        minkowski(convexity = 2)
        {
            offset(-4) square([122, 82]);
            circle(4);
        }

        translate([138/2, 101.5/2, -1]) cylinder(30,r=48.5/2);
    }
  
    translate([1,1,0]) cylinder(1, 1, 0);
}